Subject: Re: [PATCH 4/7] commit-graph: fix bogus counter in "Scanning merged commits" progress line

From: Junio C Hamano <[email-masked]>
Date: Mon, 05 Jul 2021 07:09:22 -0700

René Scharfe <[email-masked]> writes:

> ...  A more
> fine-grained report of the preparation steps would help, but seeing
> "stalled" would just scare me.

True.

> The convenience of having one less display_progress() call is only a
> slight advantage.

True, too.

> "2/3 (33%)" means something else to me than to you by default.  So a
> solution could be to state the model explicitly.  I.e. "2/3 (66%) done"
> or "working on 2/3 (66%)", but the percentage doesn't quite fit in the
> latter case.  Thoughts?

I still see "2/3 done" is how we should look at it, but either way,
that's a good way to view at the problem.

Thanks.

[Unrelated Tangent]

> ...  Recently I learned that in Arabic a person's age is given
> using the count-iterations model.  I.e. on the day of your birth
> your age is one.

East Asign age reckoning is shared among EA countries and works the
same way, not just Arabic.